Recommended update for yast2-storage-ng

SUSE Recommended Update: Recommended update for yast2-storage-ng
Announcement ID: SUSE-RU-2018:3617-1
Rating: moderate
References: #1073544 #1105350 #1107298 #1112545 #1112546
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has 5 recommended fixes can now be installed.

Description:

This update for yast2-storage-ng fixes the following issues:

  • Improve support to reuse a disk as a PV. (bsc#1107298)
  • Resize and then create new devices. (bsc#1112545)
  • Warn the user when trying to reuse a non-existent filesystem.
  • Fix support of old format to specify several software RAIDs. (bsc#1112546)
  • Proper support for Xen virtual partitions. (bsc#1105350)
  • Export enable_snapshots element properly. (bsc#1073544)
  • Allow to format a whole disk and use it as a filesystem.
  • Add support for partitioned software RAIDs. (fate#326573)
  • Allow to use a whole disk as a software RAID member. (fate#326573)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2571=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • yast2-storage-ng-4.0.214-3.29.1

References: